diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc-sequence-number.cc ns-3.44/src/lte/model/lte-rlc-sequence-number.cc
--- ns-3.43/src/lte/model/lte-rlc-sequence-number.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc-sequence-number.cc	2025-03-09 16:55:49.603371900 -0700
@@ -13,9 +13,9 @@
 
 /**
  * Ostream output function
- * \param os the output stream
- * \param val the sequence number
- * \returns the os
+ * @param os the output stream
+ * @param val the sequence number
+ * @returns the os
  */
 std::ostream&
 operator<<(std::ostream& os, const SequenceNumber10& val)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc-sequence-number.h ns-3.44/src/lte/model/lte-rlc-sequence-number.h
--- ns-3.43/src/lte/model/lte-rlc-sequence-number.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc-sequence-number.h	2025-03-09 16:55:49.603371900 -0700
@@ -9,7 +9,7 @@
 #ifndef LTE_RLC_SEQUENCE_NUMBER_H
 #define LTE_RLC_SEQUENCE_NUMBER_H
 
-#include <ns3/assert.h>
+#include "ns3/assert.h"
 
 #include <iostream>
 #include <limits>
@@ -31,7 +31,7 @@
     /**
      * Constructor
      *
-     * \param value the value
+     * @param value the value
      */
     explicit SequenceNumber10(uint16_t value)
         : m_value(value % 1024),
@@ -42,7 +42,7 @@
     /**
      * Constructor
      *
-     * \param value the value
+     * @param value the value
      */
     SequenceNumber10(const SequenceNumber10& value)
         : m_value(value.m_value),
@@ -53,8 +53,8 @@
     /**
      * Assignment operator
      *
-     * \param value the value
-     * \returns SequenceNumber10
+     * @param value the value
+     * @returns SequenceNumber10
      */
     SequenceNumber10& operator=(uint16_t value)
     {
@@ -63,8 +63,8 @@
     }
 
     /**
-     * \brief Extracts the numeric value of the sequence number
-     * \returns the sequence number value
+     * @brief Extracts the numeric value of the sequence number
+     * @returns the sequence number value
      */
     uint16_t GetValue() const
     {
@@ -72,8 +72,8 @@
     }
 
     /**
-     * \brief Set modulus base
-     * \param modulusBase the modulus
+     * @brief Set modulus base
+     * @param modulusBase the modulus
      */
     void SetModulusBase(SequenceNumber10 modulusBase)
     {
@@ -81,8 +81,8 @@
     }
 
     /**
-     * \brief Set modulus base
-     * \param modulusBase the modulus
+     * @brief Set modulus base
+     * @param modulusBase the modulus
      */
     void SetModulusBase(uint16_t modulusBase)
     {
@@ -91,7 +91,7 @@
 
     /**
      * postfix ++ operator
-     * \returns SequenceNumber10
+     * @returns SequenceNumber10
      */
     SequenceNumber10 operator++(int)
     {
@@ -103,8 +103,8 @@
 
     /**
      * addition operator
-     * \param delta the amount to add
-     * \returns SequenceNumber10
+     * @param delta the amount to add
+     * @returns SequenceNumber10
      */
     SequenceNumber10 operator+(uint16_t delta) const
     {
@@ -115,8 +115,8 @@
 
     /**
      * subtraction operator
-     * \param delta the amount to subtract
-     * \returns SequenceNumber10
+     * @param delta the amount to subtract
+     * @returns SequenceNumber10
      */
     SequenceNumber10 operator-(uint16_t delta) const
     {
@@ -127,8 +127,8 @@
 
     /**
      * subtraction operator
-     * \param other the amount to subtract
-     * \returns SequenceNumber10
+     * @param other the amount to subtract
+     * @returns SequenceNumber10
      */
     uint16_t operator-(const SequenceNumber10& other) const
     {
@@ -138,8 +138,8 @@
 
     /**
      * greater than operator
-     * \param other the object to compare
-     * \returns true if greater than
+     * @param other the object to compare
+     * @returns true if greater than
      */
     bool operator>(const SequenceNumber10& other) const
     {
@@ -151,8 +151,8 @@
 
     /**
      * equality operator
-     * \param other the object to compare
-     * \returns true if equal
+     * @param other the object to compare
+     * @returns true if equal
      */
     bool operator==(const SequenceNumber10& other) const
     {
@@ -161,8 +161,8 @@
 
     /**
      * inequality operator
-     * \param other the object to compare
-     * \returns true if not equal
+     * @param other the object to compare
+     * @returns true if not equal
      */
     bool operator!=(const SequenceNumber10& other) const
     {
@@ -171,8 +171,8 @@
 
     /**
      * less than or equal operator
-     * \param other the object to compare
-     * \returns true if less than or equal
+     * @param other the object to compare
+     * @returns true if less than or equal
      */
     bool operator<=(const SequenceNumber10& other) const
     {
@@ -181,8 +181,8 @@
 
     /**
      * greater than or equal operator
-     * \param other the object to compare
-     * \returns true if greater than or equal
+     * @param other the object to compare
+     * @returns true if greater than or equal
      */
     bool operator>=(const SequenceNumber10& other) const
     {
@@ -191,8 +191,8 @@
 
     /**
      * less than operator
-     * \param other the object to compare
-     * \returns true if less than
+     * @param other the object to compare
+     * @returns true if less than
      */
     bool operator<(const SequenceNumber10& other) const
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc-tag.h ns-3.44/src/lte/model/lte-rlc-tag.h
--- ns-3.43/src/lte/model/lte-rlc-tag.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc-tag.h	2025-03-09 16:55:49.603371900 -0700
@@ -25,8 +25,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -37,7 +37,7 @@
     RlcTag();
     /**
      * Create an RLC tag with the given senderTimestamp
-     * \param senderTimestamp the time
+     * @param senderTimestamp the time
      */
     RlcTag(Time senderTimestamp);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc-tm.h ns-3.44/src/lte/model/lte-rlc-tm.h
--- ns-3.43/src/lte/model/lte-rlc-tm.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc-tm.h	2025-03-09 16:55:49.603371900 -0700
@@ -12,7 +12,7 @@
 
 #include "lte-rlc.h"
 
-#include <ns3/event-id.h>
+#include "ns3/event-id.h"
 
 #include <map>
 
@@ -32,8 +32,8 @@
     LteRlcTm();
     ~LteRlcTm() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     void DoDispose() override;
@@ -41,14 +41,14 @@
     /**
      * RLC SAP
      *
-     * \param p packet
+     * @param p packet
      */
     void DoTransmitPdcpPdu(Ptr<Packet> p) override;
 
     /**
      * MAC SAP
      *
-     * \param txOpParams the LteMacSapUser::TxOpportunityParameters
+     * @param txOpParams the LteMacSapUser::TxOpportunityParameters
      */
     void DoNotifyTxOpportunity(LteMacSapUser::TxOpportunityParameters txOpParams) override;
     /**
@@ -65,14 +65,14 @@
 
   private:
     /**
-     * \brief Store an incoming (from layer above us) PDU, waiting to transmit it
+     * @brief Store an incoming (from layer above us) PDU, waiting to transmit it
      */
     struct TxPdu
     {
         /**
-         * \brief TxPdu default constructor
-         * \param pdu the PDU
-         * \param time the arrival time
+         * @brief TxPdu default constructor
+         * @param pdu the PDU
+         * @param time the arrival time
          */
         TxPdu(const Ptr<Packet>& pdu, const Time& time)
             : m_pdu(pdu),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rlc-um.h ns-3.44/src/lte/model/lte-rlc-um.h
--- ns-3.43/src/lte/model/lte-rlc-um.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rlc-um.h	2025-03-09 16:55:49.603371900 -0700
@@ -12,7 +12,7 @@
 #include "lte-rlc-sequence-number.h"
 #include "lte-rlc.h"
 
-#include <ns3/event-id.h>
+#include "ns3/event-id.h"
 
 #include <deque>
 #include <map>
@@ -29,8 +29,8 @@
     LteRlcUm();
     ~LteRlcUm() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     void DoDispose() override;
@@ -38,14 +38,14 @@
     /**
      * RLC SAP
      *
-     * \param p packet
+     * @param p packet
      */
     void DoTransmitPdcpPdu(Ptr<Packet> p) override;
 
     /**
      * MAC SAP
      *
-     * \param txOpParams the LteMacSapUser::TxOpportunityParameters
+     * @param txOpParams the LteMacSapUser::TxOpportunityParameters
      */
     void DoNotifyTxOpportunity(LteMacSapUser::TxOpportunityParameters txOpParams) override;
     void DoNotifyHarqDeliveryFailure() override;
@@ -60,8 +60,8 @@
     /**
      * Is inside reordering window function
      *
-     * \param seqNumber the sequence number
-     * \returns true if inside the window
+     * @param seqNumber the sequence number
+     * @returns true if inside the window
      */
     bool IsInsideReorderingWindow(SequenceNumber10 seqNumber);
 
@@ -70,15 +70,15 @@
     /**
      * Reassemble SN interval function
      *
-     * \param lowSeqNumber the low sequence number
-     * \param highSeqNumber the high sequence number
+     * @param lowSeqNumber the low sequence number
+     * @param highSeqNumber the high sequence number
      */
     void ReassembleSnInterval(SequenceNumber10 lowSeqNumber, SequenceNumber10 highSeqNumber);
 
     /**
      * Reassemble and deliver function
      *
-     * \param packet the packet
+     * @param packet the packet
      */
     void ReassembleAndDeliver(Ptr<Packet> packet);
 
@@ -90,14 +90,14 @@
     uint32_t m_txBufferSize;    ///< transmit buffer size
 
     /**
-     * \brief Store an incoming (from layer above us) PDU, waiting to transmit it
+     * @brief Store an incoming (from layer above us) PDU, waiting to transmit it
      */
     struct TxPdu
     {
         /**
-         * \brief TxPdu default constructor
-         * \param pdu the PDU
-         * \param time the arrival time
+         * @brief TxPdu default constructor
+         * @param pdu the PDU
+         * @param time the arrival time
          */
         TxPdu(const Ptr<Packet>& pdu, const Time& time)
             : m_pdu(pdu),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rrc-header.h ns-3.44/src/lte/model/lte-rrc-header.h
--- ns-3.43/src/lte/model/lte-rrc-header.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rrc-header.h	2025-03-09 16:55:49.603371900 -0700
@@ -24,7 +24,7 @@
 {
 
 /**
- * \ingroup lte
+ * @ingroup lte
  */
 
 /**
@@ -38,14 +38,14 @@
     /**
      * Get message type
      *
-     * \returns the message type
+     * @returns the message type
      */
     int GetMessageType() const;
 
   protected:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     // Inherited from Asn1Header
@@ -57,15 +57,15 @@
     /**
      * Convert from bandwidth (in RBs) to ENUMERATED value
      *
-     * \param bandwidth Bandwidth in RBs: 6, 15, 25, 50, 75, 100
-     * \returns ENUMERATED value: 0, 1, 2, 3, 4, 5
+     * @param bandwidth Bandwidth in RBs: 6, 15, 25, 50, 75, 100
+     * @returns ENUMERATED value: 0, 1, 2, 3, 4, 5
      */
     int BandwidthToEnum(uint16_t bandwidth) const;
     /**
      * Convert from ENUMERATED value to bandwidth (in RBs)
      *
-     * \param n ENUMERATED value: 0, 1, 2, 3, 4, 5
-     * \returns bandwidth Bandwidth in RBs: 6, 15, 25, 50, 75, 100
+     * @param n ENUMERATED value: 0, 1, 2, 3, 4, 5
+     * @returns bandwidth Bandwidth in RBs: 6, 15, 25, 50, 75, 100
      */
     uint16_t EnumToBandwidth(int n) const;
 
@@ -73,124 +73,124 @@
     /**
      * Serialize SRB to add mod list function
      *
-     * \param srbToAddModList std::list<LteRrcSap::SrbToAddMod>
+     * @param srbToAddModList std::list<LteRrcSap::SrbToAddMod>
      */
     void SerializeSrbToAddModList(std::list<LteRrcSap::SrbToAddMod> srbToAddModList) const;
     /**
      * Serialize DRB to add mod list function
      *
-     * \param drbToAddModList std::list<LteRrcSap::SrbToAddMod>
+     * @param drbToAddModList std::list<LteRrcSap::SrbToAddMod>
      */
     void SerializeDrbToAddModList(std::list<LteRrcSap::DrbToAddMod> drbToAddModList) const;
     /**
      * Serialize logicala channel config function
      *
-     * \param logicalChannelConfig LteRrcSap::LogicalChannelConfig
+     * @param logicalChannelConfig LteRrcSap::LogicalChannelConfig
      */
     void SerializeLogicalChannelConfig(LteRrcSap::LogicalChannelConfig logicalChannelConfig) const;
     /**
      * Serialize radio resource config function
      *
-     * \param radioResourceConfigDedicated LteRrcSap::RadioResourceConfigDedicated
+     * @param radioResourceConfigDedicated LteRrcSap::RadioResourceConfigDedicated
      */
     void SerializeRadioResourceConfigDedicated(
         LteRrcSap::RadioResourceConfigDedicated radioResourceConfigDedicated) const;
     /**
      * Serialize physical config dedicated function
      *
-     * \param physicalConfigDedicated LteRrcSap::PhysicalConfigDedicated
+     * @param physicalConfigDedicated LteRrcSap::PhysicalConfigDedicated
      */
     void SerializePhysicalConfigDedicated(
         LteRrcSap::PhysicalConfigDedicated physicalConfigDedicated) const;
     /**
      * Serialize physical config dedicated function
      *
-     * \param pcdsc LteRrcSap::PhysicalConfigDedicatedSCell
+     * @param pcdsc LteRrcSap::PhysicalConfigDedicatedSCell
      */
     void SerializePhysicalConfigDedicatedSCell(LteRrcSap::PhysicalConfigDedicatedSCell pcdsc) const;
     /**
      * Serialize system information block type 1 function
      *
-     * \param systemInformationBlockType1 LteRrcSap::SystemInformationBlockType1
+     * @param systemInformationBlockType1 LteRrcSap::SystemInformationBlockType1
      */
     void SerializeSystemInformationBlockType1(
         LteRrcSap::SystemInformationBlockType1 systemInformationBlockType1) const;
     /**
      * Serialize system information block type 2 function
      *
-     * \param systemInformationBlockType2 LteRrcSap::SystemInformationBlockType2
+     * @param systemInformationBlockType2 LteRrcSap::SystemInformationBlockType2
      */
     void SerializeSystemInformationBlockType2(
         LteRrcSap::SystemInformationBlockType2 systemInformationBlockType2) const;
     /**
      * Serialize system information block type 2 function
      *
-     * \param radioResourceConfigCommon LteRrcSap::RadioResourceConfigCommon
+     * @param radioResourceConfigCommon LteRrcSap::RadioResourceConfigCommon
      */
     void SerializeRadioResourceConfigCommon(
         LteRrcSap::RadioResourceConfigCommon radioResourceConfigCommon) const;
     /**
      * Serialize radio resource config common SIB function
      *
-     * \param radioResourceConfigCommonSib LteRrcSap::RadioResourceConfigCommonSib
+     * @param radioResourceConfigCommonSib LteRrcSap::RadioResourceConfigCommonSib
      */
     void SerializeRadioResourceConfigCommonSib(
         LteRrcSap::RadioResourceConfigCommonSib radioResourceConfigCommonSib) const;
     /**
      * Serialize measure results function
      *
-     * \param measResults LteRrcSap::MeasResults
+     * @param measResults LteRrcSap::MeasResults
      */
     void SerializeMeasResults(LteRrcSap::MeasResults measResults) const;
     /**
      * Serialize PLMN identity function
      *
-     * \param plmnId the PLMN ID
+     * @param plmnId the PLMN ID
      */
     void SerializePlmnIdentity(uint32_t plmnId) const;
     /**
      * Serialize RACH config common function
      *
-     * \param rachConfigCommon LteRrcSap::RachConfigCommon
+     * @param rachConfigCommon LteRrcSap::RachConfigCommon
      */
     void SerializeRachConfigCommon(LteRrcSap::RachConfigCommon rachConfigCommon) const;
     /**
      * Serialize measure config function
      *
-     * \param measConfig LteRrcSap::MeasConfig
+     * @param measConfig LteRrcSap::MeasConfig
      */
     void SerializeMeasConfig(LteRrcSap::MeasConfig measConfig) const;
     /**
      * Serialize non critical extension config function
      *
-     * \param nonCriticalExtensionConfiguration LteRrcSap::NonCriticalExtensionConfiguration
+     * @param nonCriticalExtensionConfiguration LteRrcSap::NonCriticalExtensionConfiguration
      */
     void SerializeNonCriticalExtensionConfiguration(
         LteRrcSap::NonCriticalExtensionConfiguration nonCriticalExtensionConfiguration) const;
     /**
      * Serialize radio resource config common SCell function
      *
-     * \param rrccsc LteRrcSap::RadioResourceConfigCommonSCell
+     * @param rrccsc LteRrcSap::RadioResourceConfigCommonSCell
      */
     void SerializeRadioResourceConfigCommonSCell(
         LteRrcSap::RadioResourceConfigCommonSCell rrccsc) const;
     /**
      * Serialize radio resource dedicated SCell function
      *
-     * \param rrcdsc LteRrcSap::RadioResourceConfigDedicatedSCell
+     * @param rrcdsc LteRrcSap::RadioResourceConfigDedicatedSCell
      */
     void SerializeRadioResourceDedicatedSCell(
         LteRrcSap::RadioResourceConfigDedicatedSCell rrcdsc) const;
     /**
      * Serialize Q offset range function
      *
-     * \param qOffsetRange q offset range
+     * @param qOffsetRange q offset range
      */
     void SerializeQoffsetRange(int8_t qOffsetRange) const;
     /**
      * Serialize threshold eutra function
      *
-     * \param thresholdEutra LteRrcSap::ThresholdEutra
+     * @param thresholdEutra LteRrcSap::ThresholdEutra
      */
     void SerializeThresholdEutra(LteRrcSap::ThresholdEutra thresholdEutra) const;
 
@@ -198,27 +198,27 @@
     /**
      * Deserialize DRB to add mod list function
      *
-     * \param drbToAddModLis std::list<LteRrcSap::DrbToAddMod> *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param drbToAddModLis std::list<LteRrcSap::DrbToAddMod> *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeDrbToAddModList(std::list<LteRrcSap::DrbToAddMod>* drbToAddModLis,
                                                 Buffer::Iterator bIterator);
     /**
      * Deserialize SRB to add mod list function
      *
-     * \param srbToAddModList std::list<LteRrcSap::SrbToAddMod> *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param srbToAddModList std::list<LteRrcSap::SrbToAddMod> *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeSrbToAddModList(std::list<LteRrcSap::SrbToAddMod>* srbToAddModList,
                                                 Buffer::Iterator bIterator);
     /**
      * Deserialize logical channel config function
      *
-     * \param logicalChannelConfig LteRrcSap::LogicalChannelConfig *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param logicalChannelConfig LteRrcSap::LogicalChannelConfig *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeLogicalChannelConfig(
         LteRrcSap::LogicalChannelConfig* logicalChannelConfig,
@@ -226,9 +226,9 @@
     /**
      * Deserialize radio resource config dedicated function
      *
-     * \param radioResourceConfigDedicated LteRrcSap::RadioResourceConfigDedicated *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param radioResourceConfigDedicated LteRrcSap::RadioResourceConfigDedicated *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeRadioResourceConfigDedicated(
         LteRrcSap::RadioResourceConfigDedicated* radioResourceConfigDedicated,
@@ -236,9 +236,9 @@
     /**
      * Deserialize physical config dedicated function
      *
-     * \param physicalConfigDedicated LteRrcSap::PhysicalConfigDedicated *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param physicalConfigDedicated LteRrcSap::PhysicalConfigDedicated *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializePhysicalConfigDedicated(
         LteRrcSap::PhysicalConfigDedicated* physicalConfigDedicated,
@@ -246,9 +246,9 @@
     /**
      * Deserialize system information block type 1 function
      *
-     * \param systemInformationBlockType1 LteRrcSap::SystemInformationBlockType1 *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param systemInformationBlockType1 LteRrcSap::SystemInformationBlockType1 *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeSystemInformationBlockType1(
         LteRrcSap::SystemInformationBlockType1* systemInformationBlockType1,
@@ -256,9 +256,9 @@
     /**
      * Deserialize system information block type 2 function
      *
-     * \param systemInformationBlockType2 LteRrcSap::SystemInformationBlockType2 *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param systemInformationBlockType2 LteRrcSap::SystemInformationBlockType2 *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeSystemInformationBlockType2(
         LteRrcSap::SystemInformationBlockType2* systemInformationBlockType2,
@@ -266,9 +266,9 @@
     /**
      * Deserialize radio resource config common function
      *
-     * \param radioResourceConfigCommon LteRrcSap::RadioResourceConfigCommon *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param radioResourceConfigCommon LteRrcSap::RadioResourceConfigCommon *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeRadioResourceConfigCommon(
         LteRrcSap::RadioResourceConfigCommon* radioResourceConfigCommon,
@@ -276,9 +276,9 @@
     /**
      * Deserialize radio resource config common SIB function
      *
-     * \param radioResourceConfigCommonSib LteRrcSap::RadioResourceConfigCommonSib *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param radioResourceConfigCommonSib LteRrcSap::RadioResourceConfigCommonSib *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeRadioResourceConfigCommonSib(
         LteRrcSap::RadioResourceConfigCommonSib* radioResourceConfigCommonSib,
@@ -286,61 +286,61 @@
     /**
      * Deserialize measure results function
      *
-     * \param measResults LteRrcSap::MeasResults *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param measResults LteRrcSap::MeasResults *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeMeasResults(LteRrcSap::MeasResults* measResults,
                                             Buffer::Iterator bIterator);
     /**
      * Deserialize PLMN identity function
      *
-     * \param plmnId the PLMN ID
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param plmnId the PLMN ID
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializePlmnIdentity(uint32_t* plmnId, Buffer::Iterator bIterator);
     /**
      * Deserialize RACH config common function
      *
-     * \param rachConfigCommon LteRrcSap::RachConfigCommon *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param rachConfigCommon LteRrcSap::RachConfigCommon *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeRachConfigCommon(LteRrcSap::RachConfigCommon* rachConfigCommon,
                                                  Buffer::Iterator bIterator);
     /**
      * Deserialize measure config function
      *
-     * \param measConfig LteRrcSap::MeasConfig *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param measConfig LteRrcSap::MeasConfig *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeMeasConfig(LteRrcSap::MeasConfig* measConfig,
                                            Buffer::Iterator bIterator);
     /**
      * Deserialize Qoffset range function
      *
-     * \param qOffsetRange Qoffset range
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param qOffsetRange Qoffset range
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeQoffsetRange(int8_t* qOffsetRange, Buffer::Iterator bIterator);
     /**
      * Deserialize threshold eutra function
      *
-     * \param thresholdEutra LteRrcSap::ThresholdEutra *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param thresholdEutra LteRrcSap::ThresholdEutra *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeThresholdEutra(LteRrcSap::ThresholdEutra* thresholdEutra,
                                                Buffer::Iterator bIterator);
     /**
      * Deserialize non critical extension config function
      *
-     * \param nonCriticalExtension LteRrcSap::NonCriticalExtensionConfiguration *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param nonCriticalExtension LteRrcSap::NonCriticalExtensionConfiguration *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeNonCriticalExtensionConfig(
         LteRrcSap::NonCriticalExtensionConfiguration* nonCriticalExtension,
@@ -348,18 +348,18 @@
     /**
      * Deserialize cell identification function
      *
-     * \param ci LteRrcSap::CellIdentification *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param ci LteRrcSap::CellIdentification *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeCellIdentification(LteRrcSap::CellIdentification* ci,
                                                    Buffer::Iterator bIterator);
     /**
      * Deserialize radio resource config common SCell function
      *
-     * \param rrccsc LteRrcSap::RadioResourceConfigCommonSCell *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param rrccsc LteRrcSap::RadioResourceConfigCommonSCell *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeRadioResourceConfigCommonSCell(
         LteRrcSap::RadioResourceConfigCommonSCell* rrccsc,
@@ -367,9 +367,9 @@
     /**
      * Deserialize radio resource config dedicated SCell function
      *
-     * \param rrcdsc LteRrcSap::RadioResourceConfigDedicatedSCell *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param rrcdsc LteRrcSap::RadioResourceConfigDedicatedSCell *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeRadioResourceConfigDedicatedSCell(
         LteRrcSap::RadioResourceConfigDedicatedSCell* rrcdsc,
@@ -377,9 +377,9 @@
     /**
      * Deserialize physical config dedicated SCell function
      *
-     * \param pcdsc LteRrcSap::PhysicalConfigDedicatedSCell *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param pcdsc LteRrcSap::PhysicalConfigDedicatedSCell *
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializePhysicalConfigDedicatedSCell(
         LteRrcSap::PhysicalConfigDedicatedSCell* pcdsc,
@@ -421,14 +421,14 @@
     /**
      * Serialize UL DCCH message function
      *
-     * \param msgType message type
+     * @param msgType message type
      */
     void SerializeUlDcchMessage(int msgType) const;
     /**
      * Deserialize UL DCCH message function
      *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeUlDcchMessage(Buffer::Iterator bIterator);
 };
@@ -452,14 +452,14 @@
     /**
      * Serialize DL DCCH message function
      *
-     * \param msgType message type
+     * @param msgType message type
      */
     void SerializeDlDcchMessage(int msgType) const;
     /**
      * Deserialize DL DCCH message function
      *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeDlDcchMessage(Buffer::Iterator bIterator);
 };
@@ -483,14 +483,14 @@
     /**
      * Serialize UL CCCH message function
      *
-     * \param msgType message type
+     * @param msgType message type
      */
     void SerializeUlCcchMessage(int msgType) const;
     /**
      * Deserialize DL CCCH message function
      *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeUlCcchMessage(Buffer::Iterator bIterator);
 };
@@ -514,14 +514,14 @@
     /**
      * Serialize DL CCCH message function
      *
-     * \param msgType message type
+     * @param msgType message type
      */
     void SerializeDlCcchMessage(int msgType) const;
     /**
      * Deserialize DL CCCH message function
      *
-     * \param bIterator buffer iterator
-     * \returns buffer iterator
+     * @param bIterator buffer iterator
+     * @returns buffer iterator
      */
     Buffer::Iterator DeserializeDlCcchMessage(Buffer::Iterator bIterator);
 };
@@ -536,8 +536,8 @@
     ~RrcConnectionRequestHeader() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     // Inherited from RrcAsn1Header
